// Listing 10-1: Using Graphic OLED Displays
#include "U8g2lib.h"
#include <Wire.h>
U8G2_SSD1306_128X32_UNIVISION_F_HW_I2C u8g2(U8G2_R0, U8X8_PIN_NONE);

void setup() {
  Wire.begin();
  u8g2.begin();
  u8g2.setFont(u8g2_font_logisoso32_tr); // select font
}

void loop() {
  for (int a = 29999; a < 32767; a++)
  {
    u8g2.clearBuffer();  // clear OLED memory
    u8g2.drawStr(0, 32, "Count!");  // write text to memory
    u8g2.sendBuffer(); // display contents of memory
    delay(1000);
    u8g2.clearBuffer();  // clear OLED memory
    u8g2.setCursor(0, 32);// position cursor in memory
    u8g2.print(a); // write integer to memory
    u8g2.sendBuffer();  // display contents of memory
    delay(1000);
  }
}
