// Listing 14-1 - Testing Bluetooth Output

#define PIN_BT_TX 3
#define PIN_BT_RX 2
#include <SoftwareSerial.h>
SoftwareSerial BT(PIN_BT_RX, PIN_BT_TX);

void setup() 
{
  // set the data rate for the SoftwareSerial port
  BT.begin(9600);
  // Send test message to other device
  BT.println("Hello from Arduino");
}

void loop() 
{
  BT.print("millis = ");
  BT.println(millis());  
  delay(500);
}
