// Project #2 - Reading Six Buttons from One Analog Input
void setup() 
{
  Serial.begin(9600);
}

int analogButton()
// returns number of button pressed by comparing ADC value
{
  int adcValue;
  int button;
  adcValue = analogRead(A0);
  if (adcValue>1000) {button = 0;}
  else if (adcValue>857 && adcValue<861) {button = 1;}
  else if (adcValue>696 && adcValue<700) {button = 2;}  
  else if (adcValue>535 && adcValue<539) {button = 3;}  
  else if (adcValue>371 && adcValue<375) {button = 4;}    
  else if (adcValue>199 && adcValue<203) {button = 5;}    
  else if (adcValue>=0 && adcValue<16)   {button = 6;}
  return button; 
}

void loop() 
{
  switch(analogButton()) // read button status
  {
    case 0 : Serial.println("No button pressed"); break;  
    case 1 : Serial.println("Button 1 pressed"); break;
    case 2 : Serial.println("Button 2 pressed"); break;
    case 3 : Serial.println("Button 3 pressed"); break;
    case 4 : Serial.println("Button 4 pressed"); break;
    case 5 : Serial.println("Button 5 pressed"); break;
    case 6 : Serial.println("Button 6 pressed"); break;            
  }
  delay(250);
}
