// Project #7 - Controlling Seven-Segment LED Displays with Port Manipulation
int digits[] = {B11111100, // 0
                B01100000, // 1
                B11011010, // 2
                B11110010, // 3
                B01100110, // 4
                B10110110, // 5
                B10111110, // 6
                B11100000, // 7
                B11111110, // 8
                B11110110
               }; // 9
void setup()
{
  DDRD = B11111111; // set PORTD (digital 7~0) to outputs
}

void loop()
{
  for (int a = 0; a < 10; a++)
  {
    PORTD = digits[a];
    delay(250);
  }

  for (int a = 0; a < 10; a++)
  {
    PORTD = digits[a] | B00000001; // activate decimal point (D0)
    delay(250);
  }
}
