// Project 18a - Building a 30-LED Matrix Display
// '9' replaced with custom character as shown in Figure 6-14

int pixels[10][30] =
{ {0, 1, 1, 1, 0, 0, 1, 1, 0, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 0, 1, 1, 0, 0, 1, 1, 1, 0, 0},
  {0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0},
  {0, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 1, 1, 1, 0, 0},
  {1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0},
  {1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 0, 0, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0},
  {1, 1, 1, 1, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 1, 0, 0, 1, 1, 1, 0, 0, 0},
  {0, 1, 1, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 1, 0, 0, 1, 0, 0, 0, 1, 1, 0, 0, 0},
  {1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0, 0, 0, 0, 0, 1, 0},
  {1, 1, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 0, 1, 0, 0, 0, 1, 0, 1, 1, 1, 1, 1, 0},
  {1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1}
};

void displayDigits(int i, int duration)
{
  for (int a = 0; a < duration; a++)
  {
    for (int b = 0; b < 30; b++)
    {
      if (pixels[i][b] == 1)
      {
        turnOnLED(b + 1);
        delay(1); // adjust as required
      }
    }
  }
  noLED();
}

void LED1() {
  DDRB = B00110000;
  PORTB = B00010000;
}
void LED2() {
  DDRB = B00011000;
  PORTB = B00001000;
}
void LED3() {
  DDRB = B00001100;
  PORTB = B00000100;
}
void LED4() {
  DDRB = B00000110;
  PORTB = B00000010;
}
void LED5() {
  DDRB = B00000011;
  PORTB = B00000001;
}
void LED6() {
  DDRB = B00110000;
  PORTB = B00100000;
}
void LED7() {
  DDRB = B00011000;
  PORTB = B00010000;
}
void LED8() {
  DDRB = B00001100;
  PORTB = B00001000;
}
void LED9() {
  DDRB = B00000110;
  PORTB = B00000100;
}
void LED10() {
  DDRB = B00000011;
  PORTB = B00000010;
}
void LED11() {
  DDRB = B00101000;
  PORTB = B00001000;
}
void LED12() {
  DDRB = B00101000;
  PORTB = B00100000;
}
void LED13() {
  DDRB = B00100100;
  PORTB = B00000100;
}
void LED14() {
  DDRB = B00100100;
  PORTB = B00100000;
}
void LED15() {
  DDRB = B00100010;
  PORTB = B00000010;
}
void LED16() {
  DDRB = B00100010;
  PORTB = B00100000;
}
void LED17() {
  DDRB = B00100001;
  PORTB = B00000001;
}
void LED18() {
  DDRB = B00100001;
  PORTB = B00100000;
}
void LED19() {
  DDRB = B00010100;
  PORTB = B00000100;
}
void LED20() {
  DDRB = B00010100;
  PORTB = B00010000;
}
void LED21() {
  DDRB = B00010010;
  PORTB = B00000010;
}
void LED22() {
  DDRB = B00010010;
  PORTB = B00010000;
}
void LED23() {
  DDRB = B00010001;
  PORTB = B00000001;
}
void LED24() {
  DDRB = B00010001;
  PORTB = B00010000;
}
void LED25() {
  DDRB = B00000101;
  PORTB = B00000001;
}
void LED26() {
  DDRB = B00000101;
  PORTB = B00000100;
}
void LED27() {
  DDRB = B00001010;
  PORTB = B00000010;
}
void LED28() {
  DDRB = B00001010;
  PORTB = B00001000;
}
void LED29() {
  DDRB = B00001001;
  PORTB = B00000001;
}
void LED30() {
  DDRB = B00001001;
  PORTB = B00001000;
}

void noLED() {
  DDRB = B00000000;  // all LEDs to input, high impedance
}

void turnOnLED(int l)
{
  switch (l)
  {
    case 1 : LED1(); break;
    case 2 : LED2(); break;
    case 3 : LED3(); break;
    case 4 : LED4(); break;
    case 5 : LED5(); break;
    case 6 : LED6(); break;
    case 7 : LED7(); break;
    case 8 : LED8(); break;
    case 9 : LED9(); break;
    case 10 : LED10(); break;
    case 11 : LED11(); break;
    case 12 : LED12(); break;
    case 13 : LED13(); break;
    case 14 : LED14(); break;
    case 15 : LED15(); break;
    case 16 : LED16(); break;
    case 17 : LED17(); break;
    case 18 : LED18(); break;
    case 19 : LED19(); break;
    case 20 : LED20(); break;
    case 21 : LED21(); break;
    case 22 : LED22(); break;
    case 23 : LED23(); break;
    case 24 : LED24(); break;
    case 25 : LED25(); break;
    case 26 : LED26(); break;
    case 27 : LED27(); break;
    case 28 : LED28(); break;
    case 29 : LED29(); break;
    case 30 : LED30(); break;
  }
}

void setup() {}
void loop()
{
  displayDigits(9, 50);
  delay(250);

}

/*
  void loop()
  {
  for (int q = 0; q <10; q++)
  {
    displayDigits(q, 50);
    delay(250);
  }
  }
*/
