// Project 49 - Creating a PC-to-Arduino Remote Control

void doSomething0()
{
  Serial.print("A0 value is: ");
  Serial.println(analogRead(0));
}

void doSomething1()
{
  Serial.print("A1 value is: ");
  Serial.println(analogRead(1));
}

void doSomething2()
{
  digitalWrite(13, HIGH);
  Serial.println("LED On");
}

void doSomething3()
{
  digitalWrite(13, LOW);
  Serial.println("LED Off");
}

void setup()
{
  Serial.begin(9600);
  pinMode(13, HIGH);
  digitalWrite(13,LOW);
}

void loop()
{
  char command;
  if(Serial.available())      
  {
    command=Serial.read();    
    switch (command)
    {
      case '0': doSomething0(); break;
      case '1': doSomething1(); break;
      case '2': doSomething2(); break;
      case '3': doSomething3(); break;                  
      default: Serial.println("Unrecognized command.");
    }
  }
}