// Project 51 - Creating an Arduino-to-PC Data Link over RS485
// Receiver

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE

void setup() 
{
  Serial.begin(9600);
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, LOW); // RS485 receive
}

void loop() {
  if (RS485.available()) {       // If anything comes from RS485
    Serial.write(RS485.read());  // Read it and send it out on hardware serial to PC
  }
}