// Project 52 - Creating an Arduino-to-Arduino Data Link over RS485
// Transmitter

#include <Adafruit_BMP085.h>
Adafruit_BMP085 bmp;

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE
  
void setup() 
{
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, HIGH); // RS485 transmit
  bmp.begin();
}
  
void loop() 
{
    RS485.print(bmp.readTemperature());
    delay(500);
}
