// Project 53S - Operating Arduino Remote Control over RS485
// Secondary device

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE

void blinkLED(int i) {
  for (int j = 0; j < i; j++) {
    digitalWrite(13, HIGH);
    delay(100);
    digitalWrite(13, LOW);
    delay(100);
  }
}

void setup() {
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, LOW);  // RS485 receive
  pinMode(13, OUTPUT);
}

void loop() {
  if (RS485.available() > 0) {
    char receivedChar = RS485.read();
    switch (receivedChar) {
      case '0': blinkLED(5); break;
      case '1': blinkLED(10); break;
      case '2': blinkLED(15); break;
      case '3': blinkLED(20); break;
      default: blinkLED(2); break;
    }
  }
}