// Project 54P - Operating Multiple-Arduino Remote Control over RS485
// Primary Device

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE

void setup() {
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, HIGH);  // RS485 transmit
}

void loop() 
{
  RS485.println(105); // Command for secondary 1
  delay(5000);
  RS485.println(205); // Command for secondary 2
  delay(5000);
}
