// Listing 12-4: Reading text from USB flash drive

#include <Ch376msc.h>
#include <SoftwareSerial.h>
SoftwareSerial Serial1(7, 6);
Ch376msc USBdrive(Serial1);

void readText()
{
  char _buffer[254];
  boolean moreText;

	USBdrive.setFileName("TESTTEXT.TXT"); 
  USBdrive.openFile();            
  moreText = true;
  while(moreText)
  {
    moreText = USBdrive.readFile(_buffer, sizeof(_buffer));
    Serial.print(_buffer);
  }
  USBdrive.closeFile(); 
}

void setup()
{
  Serial.begin(115200);
  Serial1.begin(9600);
  USBdrive.init();
  delay(5000);
}

void loop() 
{
  if (USBdrive.checkIntMessage())
  {
    if (USBdrive.getDeviceStatus()) {
      Serial.println(F("Flash drive attached!"));
    } else {
      Serial.println(F("Flash drive detached!"));
    }
  }
  readText();
  delay(5000);
}