// Listing 13-1: Testing PS/2 Keyboard

#include <PS2Keyboard.h>
PS2Keyboard keyboard;

void setup() {
  delay(1000);
  keyboard.begin(4, 3);
  Serial.begin(9600);
  Serial.println("Keyboard Test:");
}

void loop() {
  if (keyboard.available()) {

    // read the next key
    char c = keyboard.read();

    // check for some of the special keys
    switch (c)
    {
      case PS2_ENTER: Serial.println(); break;
      case PS2_TAB: Serial.print("[Tab]"); break;
      case PS2_ESC: Serial.print("[ESC]"); break;
      case PS2_PAGEDOWN: Serial.print("[PgDn]"); break;
      case PS2_PAGEUP: Serial.print("[PgUp]"); break;
      case PS2_LEFTARROW: Serial.print("[Left]"); break;
      case PS2_RIGHTARROW: Serial.print("[Right]"); break;
      case PS2_UPARROW: Serial.print("[Up]"); break;
      case PS2_DOWNARROW: Serial.print("[Down]"); break;
      case PS2_DELETE: Serial.print("[Del]"); break;
      // otherwise, just print all normal characters
      default: Serial.print(c); break;
    }
  }
}