// Listing 19-2 - Testing ESP32 PWM Outputs

void setup()
{
  ledcSetup(0, 5000, 8); // LED channel, frequency, resolution (8-bit)
  ledcSetup(1, 5000, 8);
  ledcSetup(2, 5000, 8);
  ledcSetup(3, 5000, 8);

  ledcAttachPin(16, 0); // GPIO, LED channel
  ledcAttachPin(17, 1);
  ledcAttachPin(18, 2);
  ledcAttachPin(19, 3);
}

void loop()
{
  int dutyCycle;
  for (dutyCycle = 0; dutyCycle <= 255; dutyCycle++)
  {
    ledcWrite(0, dutyCycle);
    ledcWrite(1, dutyCycle);
    ledcWrite(2, dutyCycle);
    ledcWrite(3, dutyCycle);
    delay(10);
  }
  for (dutyCycle = 255; dutyCycle > -0; dutyCycle--)
  {
    ledcWrite(0, dutyCycle);
    ledcWrite(1, dutyCycle);
    ledcWrite(2, dutyCycle);
    ledcWrite(3, dutyCycle);
    delay(10);
  }
}
