// Project #27a - Creating a Giant Seven-Segment LED Display

#define latch 8 // latch RCK pin
#define clock 9 // clock SRCK pin
#define data 10 // data SERIN pin

int digits[] = {B00111111, // 0
                B00000110, // 1
                B01011011, // 2
                B01001111, // 3
                B01100110, // 4
                B01101101, // 5
                B01111101, // 6
                B00000111, // 7
                B01111111, // 8
                B01100111}; // 9

void sendNumber(int a, boolean point)
{
  if (point == false)
  {
  digitalWrite(latch, LOW);
  shiftOut(data, clock, MSBFIRST, digits[a]);
  digitalWrite(latch, HIGH);
  } else if (point==true)
  {
  digitalWrite(latch, LOW);
  shiftOut(data, clock, MSBFIRST, digits[a]|B10000000);
  digitalWrite(latch, HIGH);
  }
}

void setup()
{
  pinMode(latch, OUTPUT);
  pinMode(clock, OUTPUT);
  pinMode(data, OUTPUT);
}

void loop()
{
  for (int a = 0; a<10; a++)
  {
    sendNumber(a,false);
    delay(1000);
  }
for (int a = 0; a<10; a++)
  {
    sendNumber(a,true);
    delay(1000);
  }
}