// Project #33 – Building a USB Shortcut Keyboard
#define Ctrl 128
#define Alt 130
#define Escape 177
#define Shift 129
#define Tab 179
#define Enter 176
#define Delete 212

1 #include "Keyboard.h"
#include "analogkeypad.h"
analogkeypad keypad;

void button1() {
  Keyboard.print("456700");
}

void button2() {
  Keyboard.press(Ctrl);  
  Keyboard.press(Alt);
  Keyboard.press(212);
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
  delay(100);
  Keyboard.write(Enter);
  delay(100);
}

void button3() {
  Keyboard.press(Ctrl);  
  Keyboard.press(Shift);
  Keyboard.press(Escape);
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
}

void button4() {
  Keyboard.press(Ctrl);
  Keyboard.press(112);  // press "P"
  delay(100);
  Keyboard.releaseAll();  // let go of all buttons
  delay(100);
  Keyboard.write(Enter);
  delay(100);
}

void button5() {
  Keyboard.press(Alt);
  Keyboard.press(Tab);
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
}

void button6() {
  Keyboard.press(Ctrl);
  Keyboard.press(Shift);
  Keyboard.press(100);  // Press "d"
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
}

void button7() {
  Keyboard.press(130);
  Keyboard.press(119);  // Press "w"
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
  Keyboard.write(112);    // Press "p"
}

void button8() {
  Keyboard.press(Alt);
  Keyboard.press(119);  // Press "w"
  delay(100);
  Keyboard.releaseAll();  // Let go of all buttons
  Keyboard.write(108);    // Press "l"
}

void button9() {
  Keyboard.println("You can contact me via email at email@address.com or telephone 212-555-1213 after 3pm. ");
}

void button10() {
  Keyboard.println("We cannot solve your problem via social media. Please email support@company.com for technical support. ");
}

void button11() {
  Keyboard.println("Thank you for your email, I will reply in more detail once I can locate the required information. ");
}

void button12() {
  Keyboard.println("Without examining the product in person, we cannot determine the fault. Please post it to: ");
  Keyboard.println("129 West 81st Street");
  Keyboard.println("Apt 5B");
  Keyboard.println("New York NY 10024");
}

void setup() {
2  Keyboard.begin();
}

void loop() {
3  switch (keypad.readKeypad())  // read button status
  {
    case 1: button1(); break;
    case 2: button2(); break;
    case 3: button3(); break;
    case 4: button4(); break;
    case 5: button5(); break;
    case 6: button6(); break;
    case 7: button7(); break;
    case 8: button8(); break;
    case 9: button9(); break;
    case 10: button10(); break;
    case 11: button11(); break;
    case 12: button12(); break;
  }
  delay(250);
}