// Project #37 - Using a USB Security Key

#include <Ch376msc.h>
#include <SoftwareSerial.h>
SoftwareSerial Serial1(7, 6);
Ch376msc USBdrive(Serial1);

boolean readKey()
{
  boolean keyStatus=false;
  int securityKey=12345;
  int testKey=0;
  USBdrive.setFileName("SECURITY.TXT");
    USBdrive.openFile();
    while(!USBdrive.getEOF())
    {
      testKey=USBdrive.readLong();
    }
    USBdrive.closeFile();
    if (securityKey==testKey)
    {
      keyStatus=true;
    }
  return keyStatus;
}

void setup()
{
  pinMode(13, OUTPUT);
  Serial.begin(115200);
  Serial1.begin(9600);
  USBdrive.init();
  delay(5000);

  if (USBdrive.checkIntMessage())
  {
    if (USBdrive.getDeviceStatus()) {
      Serial.println(F("Flash drive attached!"));
    } else {
      Serial.println(F("Flash drive detached!"));
      return;
    }
  }
  if (readKey()==false)
  {
    Serial.println("Incorrect key!");
    do {} while (1); // halt
  }
}

void loop() 
{
  digitalWrite(13, HIGH);
  delay(500);
  digitalWrite(13, LOW);
  delay(500);
}