// Project 50 - Enabling Arduino-to-Arduino Communication with RS232
// Receiver

#include <LiquidCrystal_PCF8574.h>
#include <Wire.h>
LiquidCrystal_PCF8574 lcd(0x27);

int length = 16;
char endOfLine = '\n';
char buffer[15];

void setup() 
{
  Serial.begin(9600);
  Wire.begin();
  Wire.beginTransmission(0x27);
  lcd.begin(16, 2);
  lcd.setBacklight(255);
  lcd.clear();
}

void loop() 
{
  if (Serial.available()) 
  {    
    lcd.home();
    lcd.setCursor(0, 0);
    Serial.readBytesUntil(endOfLine, buffer, length);
    lcd.print(buffer);
  }
}