// Project 51 - Creating an Arduino-to-PC Data Link over RS485
// Transmitter

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE

void setup()
{
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, HIGH); // RS485 transmit
}

void loop() 
{
  RS485.print("A0 measures: ");
  RS485.println(analogRead(0));  
}