// Project 54s2 - Arduino to multiple Arduino Remote Control via RS485
// Secondary device #2

#include <SoftwareSerial.h>
SoftwareSerial RS485(4, 3);

#define TXRX 2 // Using D2 for RS485 DE/RE

void blinkLED(int i) {
  for (int j = 0; j < i; j++) 
  {
    digitalWrite(13, HIGH);
    delay(250);
    digitalWrite(13, LOW);
    delay(250);
  }
}

void setup() {
  RS485.begin(9600);
  pinMode(TXRX, OUTPUT);
  digitalWrite(TXRX, LOW);  // RS485 receive
  pinMode(13, OUTPUT);
}

void loop() {
  while (RS485.available() == 0) {}
  int commandType = RS485.parseInt();
  if (commandType >= 200 && commandType < 300)  // Commands for secondary 2 fall between 200 and 299
  {
    switch (commandType) {
      case 205: blinkLED(5); break;
      case 210: blinkLED(10); break;
      case 215: blinkLED(15); break;
      case 220: blinkLED(20); break;
      default: blinkLED(2); break;
    }
  }
}